-- BEGIN COPYRIGHT
-- *************************************************************************
--
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
-- *************************************************************************
-- END COPYRIGHT

----------------------------------------------------------------------
-- Process this script in the DB2 command line processor
-- example: db2 -tf dropSchema_Observer.sql


-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.OBSERVER_VERSION;

DROP TABLE @SCHEMA@.INST_PRC_T;

DROP TABLE @SCHEMA@.INST_ACT_T;

DROP TABLE @SCHEMA@.EVENT_PRC_T;

DROP TABLE @SCHEMA@.EVENT_ACT_T;

DROP TABLE @SCHEMA@.QUERY_T;

DROP TABLE @SCHEMA@.SLICES_T;

DROP TABLE @SCHEMA@.OPEN_EVENTS_T;

--------------------------------------------------------------------------------
--
-- SQL snippet to drop Observer UDFs
-- for DB2 (distributed)
--
--------------------------------------------------------------------------------
--
-- Note:
--
-- If you used the java based Observer functions, you also must uninstall the
-- jar file bpcodbutil.jar from the database using the setupEventCollector tool
-- or by using the following command, locally on the database server,
-- connected to the database:
--
--    db2 call sqlj.remove_jar('BPCODBUTIL')
--
--------------------------------------------------------------------------------
--------------------
-- Drop functions --
--------------------

DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP,  TIMESTAMP);
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP,  VARCHAR(26));
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26),  TIMESTAMP);
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26),  VARCHAR(26));

DROP FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE();
