-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

----------------------------------------------------------------------
-- Following variables needs to be changed for customization and
-- before running this script.
-- #STOGRP#	 = DB2 Storage group name
-- #DB_NAME#     = DB2 Database name
-- #SCHEMA#      = DB2 SQLID (Schema Qualifier)
-- #BPTABLE4K#   = Buffer Pool of 4k Size
-- #BPINDEX#     = Buffer Pool Index
-- #VOLUMES#     = DB2 comma separated list of volume-ids
-- #VCAT#        = DB2 integrated catalog facility name
----------------------------------------------------------------------

-- *******************************************
--  Create Database
-- *******************************************

   CREATE STOGROUP @STOGRP@ VOLUMES (@VOLUMES@) VCAT @VCAT@;

   CREATE DATABASE @DB_NAME@
          STOGROUP @STOGRP@
          BUFFERPOOL @BPTABLE4K@
          CCSID UNICODE
          INDEXBP @BPINDEX@;

    COMMIT;

-- *******************************************
--  Grant Permissions
-- *******************************************

    GRANT USE OF STOGROUP   @STOGRP@     TO  @DB_USER@ WITH GRANT OPTION;
    GRANT DBADM ON DATABASE @DB_NAME@    TO  @DB_USER@;

    GRANT USE OF ALL BUFFERPOOLS         TO  @DB_USER@;

    COMMIT;
