-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96, 5724-M24
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

-- Scriptfile to create database, tablespaces for 
-- DB2 z/OS v8
--
-----------------------------------------------------------------------
-- Following variables need to be changed for customization before 
-- running this script: 
-- @STOGRP@ = DB2 Storage group name (default is SYSDEFLT)
-- @DB_NAME@ = the database name, eg MONITOR
-- Note: Tablespaces should be created with LOCKSIZE ROW to avoid 
--           deadlocks
--       Tablespaces should be created with CCSID UNICODE for
--       performance reasons and codepage coverage for user input
--
-- Run the script in the DB2 command line processor.
--
-- USAGE:   db2 -tf createTablespace_Monitor.sql
--
-- --------------------------------------------------------------------
------------- bufferpool for regular tablespaces
-- created by DBA as BP32K

------------- bufferpool for temp tablespace
-- created by DBA as TMPBP32K

------------- tablespace for Monitor (WBM) 

CREATE TABLESPACE WBMON088 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE4K@
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    
CREATE TABLESPACE WBMON089 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE4K@
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    
CREATE TABLESPACE WBMON090 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE4K@
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    
CREATE TABLESPACE WBMON091 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE4K@
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    
CREATE TABLESPACE WBMON092 IN @DB_NAME@ 
   USING STOGROUP @STOGRP@ 
   BUFFERPOOL @BPTABLE8K@
   SEGSIZE 32
   DEFINE NO
   LOCKSIZE ROW
   CCSID UNICODE;    

-- Create auxiliary tablespaces for LOB columns --

CREATE LOB TABLESPACE WBMLOB42 IN @DB_NAME@ 
   BUFFERPOOL @BPTABLE32K@
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB45 IN @DB_NAME@ 
   BUFFERPOOL @BPTABLE32K@
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
CREATE LOB TABLESPACE WBMLOB46 IN @DB_NAME@ 
   BUFFERPOOL @BPTABLE32K@
   LOCKSIZE LOB
   USING STOGROUP @STOGRP@;
COMMIT;

