-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

CREATE TABLE @SCHEMA@.SIBOWNER (
  ME_UUID VARCHAR(16),
  INC_UUID VARCHAR(16),
  VERSION INTEGER,
  MIGRATION_VERSION INTEGER,
  ME_LUTS TIMESTAMP,
  ME_INFO VARCHAR(254),
  ME_STATUS VARCHAR(16)
)

/

CREATE TABLE @SCHEMA@.SIBOWNERO (
   EMPTY_COLUMN INTEGER
)

/

CREATE TABLE @SCHEMA@.SIBCLASSMAP (
  CLASSID INTEGER NOT NULL,
  URI VARCHAR2(2048) NOT NULL,
  PRIMARY KEY(CLASSID)
)

/

CREATE TABLE @SCHEMA@.SIBLISTING (
  ID INTEGER NOT NULL,
  SCHEMA_NAME VARCHAR2(10),
  TABLE_NAME VARCHAR2(10) NOT NULL,
  TABLE_TYPE CHAR(1) NOT NULL,
  PRIMARY KEY(ID)
)

/

CREATE TABLE @SCHEMA@.SIB000 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))

/

CREATE INDEX @SCHEMA@.SIB000STREAMIX ON
@SCHEMA@.SIB000(STREAM_ID,SEQUENCE)

/

CREATE TABLE @SCHEMA@.SIB001 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))

/

CREATE INDEX @SCHEMA@.SIB001STREAMIX ON
@SCHEMA@.SIB001(STREAM_ID,SEQUENCE)

/

CREATE TABLE @SCHEMA@.SIB002 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))

/

CREATE INDEX @SCHEMA@.SIB002STREAMIX ON
@SCHEMA@.SIB002(STREAM_ID,SEQUENCE)

/

CREATE TABLE @SCHEMA@.SIBXACTS (
  XID VARCHAR2(254) NOT NULL,
  STATE CHAR(1) NOT NULL,
  PRIMARY KEY(XID)
)

/

CREATE TABLE @SCHEMA@.SIBKEYS (
  ID VARCHAR2(50) NOT NULL,
  LAST_KEY NUMBER(19) NOT NULL,
  PRIMARY KEY(ID)
)

/
