-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT

USE @DB_NAME@;

CREATE TABLE @SCHEMA@.SIBOWNER (
  ME_UUID VARCHAR(16),
  INC_UUID VARCHAR(16),
  VERSION INT,
  MIGRATION_VERSION INT,
  ME_LUTS DATETIME2,
  ME_INFO VARCHAR(254),
  ME_STATUS VARCHAR(16)
)
;

CREATE TABLE @SCHEMA@.SIBOWNERO (
   EMPTY_COLUMN INT
)
;

CREATE TABLE @SCHEMA@.SIBCLASSMAP (
  CLASSID INT NOT NULL,
  URI NVARCHAR(2048) NOT NULL,
  PRIMARY KEY(CLASSID)
)
;

CREATE TABLE @SCHEMA@.SIBLISTING (
  ID INT NOT NULL,
  SCHEMA_NAME NVARCHAR(10),
  TABLE_NAME NVARCHAR(10) NOT NULL,
  TABLE_TYPE NCHAR(1) NOT NULL,
  PRIMARY KEY(ID)
)
;

CREATE TABLE @SCHEMA@.SIB000 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE NCHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INT,
  REFERENCE BIGINT,
  CLASS_ID INT NOT NULL,
  PRIORITY INT,
  SEQUENCE BIGINT,
  PERMANENT_ID INT,
  TEMPORARY_ID INT,
  LOCK_ID BIGINT,
  DATA_SIZE INT NOT NULL,
  LONG_DATA IMAGE,
  XID NVARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INT,
  PRIMARY KEY NONCLUSTERED (ID)
)
;

CREATE CLUSTERED INDEX SIB000STREAMIX ON
@SCHEMA@.SIB000(STREAM_ID,SEQUENCE)
;

CREATE TABLE @SCHEMA@.SIB001 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE NCHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INT,
  REFERENCE BIGINT,
  CLASS_ID INT NOT NULL,
  PRIORITY INT,
  SEQUENCE BIGINT,
  PERMANENT_ID INT,
  TEMPORARY_ID INT,
  LOCK_ID BIGINT,
  DATA_SIZE INT NOT NULL,
  LONG_DATA IMAGE,
  XID NVARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INT,
  PRIMARY KEY NONCLUSTERED (ID)
)
;

CREATE CLUSTERED INDEX SIB001STREAMIX ON
@SCHEMA@.SIB001(STREAM_ID,SEQUENCE)
;

CREATE TABLE @SCHEMA@.SIB002 (
  ID BIGINT NOT NULL,
  STREAM_ID BIGINT NOT NULL,
  TYPE NCHAR(2),
  EXPIRY_TIME BIGINT,
  STRATEGY INT,
  REFERENCE BIGINT,
  CLASS_ID INT NOT NULL,
  PRIORITY INT,
  SEQUENCE BIGINT,
  PERMANENT_ID INT,
  TEMPORARY_ID INT,
  LOCK_ID BIGINT,
  DATA_SIZE INT NOT NULL,
  LONG_DATA IMAGE,
  XID NVARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INT,
  PRIMARY KEY NONCLUSTERED (ID)
)
;

CREATE CLUSTERED INDEX SIB002STREAMIX ON
@SCHEMA@.SIB002(STREAM_ID,SEQUENCE)
;

CREATE TABLE @SCHEMA@.SIBXACTS (
  XID NVARCHAR(254) NOT NULL,
  STATE NCHAR(1) NOT NULL,
  PRIMARY KEY(XID)
)

CREATE TABLE @SCHEMA@.SIBKEYS (
  ID NVARCHAR(50) NOT NULL,
  LAST_KEY BIGINT NOT NULL,
  PRIMARY KEY(ID)
)
;
